import { DDBReadOnlyClientConfiguration } from '../DDBReadOnlyClient.ts';
import { BatchWriteItemCommandInput } from '@aws-sdk/client-dynamodb';
export declare const mapDeleteItemsCommand: <Item extends {}, PKName extends keyof Item, SKName extends keyof Item = never>(config: DDBReadOnlyClientConfiguration<Item, PKName, SKName>, items: {
    partitionKey: Item[PKName];
    sortKey?: Item[SKName] | undefined;
}[]) => BatchWriteItemCommandInput;
